\name{summary.STdata}
\alias{summary.STdata}
\title{Computes summary details for \code{STdata} object}
\usage{
  \method{summary}{STdata} (object,
    type = object$covars$type, ...)
}
\arguments{
  \item{object}{\code{STdata} object to compute summary
  information for.}

  \item{type}{Factorial of \code{length(x$covars$ID)}, if
  not \code{NULL} summaries for the observations are
  computed per type of site.}

  \item{...}{Ignored additional arguments.}
}
\value{
  A \code{summary.STdata} object.
}
\description{
  \code{\link[base:summary]{summary}} method for class
  \code{STdata}.
}
\examples{
##load some data
data(mesa.data)
##Summary of data fields.
summary(mesa.data)
}
\author{
  Johan Lindstrm
}
\seealso{
  Other STdata methods: \code{\link{createSTdata}},
  \code{\link{plot.STdata}}, \code{\link{plot.STmodel}},
  \code{\link{print.STdata}},
  \code{\link{print.summary.STdata}}
}

